JUCE: MidiMessageMetadata Struct Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
MidiMessageMetadata Struct Referencefinal
juce_audio_basics » midi

A view of MIDI message data stored in a contiguous buffer. More...

`#include <juce_MidiBuffer.h>`

## Public Member Functions
| MidiMessageMetadata () noexcept=default
| MidiMessageMetadata (const uint8 *dataIn, int numBytesIn, int positionIn) noexcept
MidiMessage | getMessage () const
| Constructs a new MidiMessage instance from the data that this object is viewing.

## Public Attributes
const uint8 * | data = nullptr
| Pointer to the first byte of a MIDI message.
int | numBytes = 0
| The number of bytes in the MIDI message.
int | samplePosition = 0
| The MIDI message's timestamp.

## Detailed Description

A view of MIDI message data stored in a contiguous buffer.

Instances of this class do not own the midi data bytes that they point to. Instead, they expect the midi data to live in a separate buffer that outlives the MidiMessageMetadata instance.

## Constructor & Destructor Documentation

## ◆ MidiMessageMetadata() [1/2]

MidiMessageMetadata::MidiMessageMetadata | ( |  | ) |
| defaultnoexcept

## ◆ MidiMessageMetadata() [2/2]

MidiMessageMetadata::MidiMessageMetadata | ( | const uint8 * | dataIn,
|  | int | numBytesIn,
|  | int | positionIn
| ) |  |
| noexcept

## Member Function Documentation

## ◆ getMessage()

MidiMessage MidiMessageMetadata::getMessage | ( |  | ) | const

Constructs a new MidiMessage instance from the data that this object is viewing.

Note that MidiMessage owns its data storage, whereas MidiMessageMetadata does not.

References data, numBytes, and samplePosition.

## Member Data Documentation

## ◆ data

const uint8* MidiMessageMetadata::data = nullptr

Pointer to the first byte of a MIDI message.

Referenced by getMessage().

## ◆ numBytes

int MidiMessageMetadata::numBytes = 0

The number of bytes in the MIDI message.

Referenced by getMessage().

## ◆ samplePosition

int MidiMessageMetadata::samplePosition = 0

The MIDI message's timestamp.

Referenced by getMessage().

The documentation for this struct was generated from the following file:

- juce_MidiBuffer.h